Package org.pushingpixels.flamingo.internal.ui.common

# Class ResizableIconUIResource

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.ResizableIconUIResource

All Implemented Interfaces:
  `Icon`, `UIResource`, `ResizableIcon`

public class ResizableIconUIResource extends Object implements ResizableIcon, UIResource

## Constructor Summary

Constructors
Constructor
Description
`ResizableIconUIResource(ResizableIcon delegate)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
`void`
`setDimension(Dimension newDimension)`
Changes the dimension of `this` icon.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResizableIconUIResource

public ResizableIconUIResource(ResizableIcon delegate)

## Method Details

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### setDimension

public void setDimension(Dimension newDimension)
Description copied from interface: `ResizableIcon`
Changes the dimension of `this` icon.

Specified by:
  `setDimension` in interface `ResizableIcon`
Parameters:
  `newDimension` - New dimension for `this` icon.